.syntaxhighlighter, .syntaxhighlighter table td.code .container {
    position: relative !important
}

    .syntaxhighlighter .toolbar a, .syntaxhighlighter.printing a {
        text-decoration: none !important
    }

    .syntaxhighlighter a, .syntaxhighlighter code, .syntaxhighlighter div, .syntaxhighlighter table, .syntaxhighlighter table caption, .syntaxhighlighter table tbody, .syntaxhighlighter table td, .syntaxhighlighter table thead, .syntaxhighlighter table tr, .syntaxhighlighter textarea {
        -moz-border-radius: 0 !important;
        -webkit-border-radius: 0 0 0 0 !important;
        background: 0 0 !important;
        border: 0 !important;
        bottom: auto !important;
        float: none !important;
        height: auto !important;
        left: auto !important;
        line-height: 1.1em !important;
        margin: 0 !important;
        outline: 0 !important;
        overflow: visible !important;
        padding: 0 !important;
        position: static !important;
        right: auto !important;
        text-align: left !important;
        top: auto !important;
        vertical-align: baseline !important;
        width: auto !important;
        box-sizing: content-box !important;
        font-family: Consolas,"Bitstream Vera Sans Mono","Courier New",Courier,monospace !important;
        font-weight: 400 !important;
        font-style: normal !important;
        font-size: 1em !important;
        min-height: auto !important
    }

        .syntaxhighlighter, .syntaxhighlighter table, .syntaxhighlighter table td.code {
            width: 100% !important
        }

.syntaxhighlighter {
    margin: 1em 0 !important;
    overflow: auto !important;
    font-size: 1em !important
}

    .syntaxhighlighter.source {
        overflow: hidden !important
    }

    .syntaxhighlighter .bold, .syntaxhighlighter.printing .script {
        font-weight: 700 !important
    }

    .syntaxhighlighter .italic {
        font-style: italic !important
    }

    .syntaxhighlighter .line {
        white-space: pre !important
    }

    .syntaxhighlighter table caption {
        text-align: left !important;
        padding: .5em 0 .5em 1em !important
    }

    .syntaxhighlighter table td.code .container textarea {
        box-sizing: border-box !important;
        position: absolute !important;
        left: 0 !important;
        top: 0 !important;
        width: 100% !important;
        height: 100% !important;
        border: none !important;
        background: #fff !important;
        padding-left: 1em !important;
        overflow: hidden !important;
        white-space: pre !important
    }

    .syntaxhighlighter table td.gutter .line {
        text-align: right !important;
        padding: 0 .5em 0 1em !important
    }

    .syntaxhighlighter table td.code .line {
        padding: 0 1em !important
    }

    .syntaxhighlighter.nogutter td.code .container textarea, .syntaxhighlighter.nogutter td.code .line {
        padding-left: 0 !important
    }

    .syntaxhighlighter.show {
        display: block !important
    }

    .syntaxhighlighter .toolbar a.expandSource, .syntaxhighlighter.collapsed table, .syntaxhighlighter.printing .toolbar {
        display: none !important
    }

    .syntaxhighlighter.collapsed .toolbar {
        padding: .1em .8em 0 !important;
        font-size: 1em !important;
        position: static !important;
        width: auto !important;
        height: auto !important
    }

        .syntaxhighlighter.collapsed .toolbar span {
            display: inline !important;
            margin-right: 1em !important
        }

            .syntaxhighlighter.collapsed .toolbar span a {
                padding: 0 !important;
                display: none !important
            }

                .syntaxhighlighter .toolbar span.title, .syntaxhighlighter.collapsed .toolbar span a.expandSource {
                    display: inline !important
                }

    .syntaxhighlighter .toolbar {
        position: absolute !important;
        right: 1px !important;
        top: 1px !important;
        width: 11px !important;
        height: 11px !important;
        font-size: 10px !important;
        z-index: 10 !important
    }

        .syntaxhighlighter .toolbar a {
            display: block !important;
            text-align: center !important;
            padding-top: 1px !important
        }

    .syntaxhighlighter.ie {
        font-size: .9em !important;
        padding: 1px 0 !important
    }

        .syntaxhighlighter.ie .toolbar {
            line-height: 8px !important
        }

            .syntaxhighlighter.ie .toolbar a {
                padding-top: 0 !important
            }

    .syntaxhighlighter.printing .line.alt1 .content, .syntaxhighlighter.printing .line.alt2 .content, .syntaxhighlighter.printing .line.highlighted .number, .syntaxhighlighter.printing .line.highlighted.alt1 .content, .syntaxhighlighter.printing .line.highlighted.alt2 .content {
        background: 0 0 !important
    }

    .syntaxhighlighter.printing .line .number {
        color: #bbb !important
    }

    .syntaxhighlighter.printing .break, .syntaxhighlighter.printing .break a, .syntaxhighlighter.printing .line .content, .syntaxhighlighter.printing .plain, .syntaxhighlighter.printing .plain a {
        color: #000 !important
    }

    .syntaxhighlighter.printing .comments, .syntaxhighlighter.printing .comments a {
        color: #008200 !important
    }

    .syntaxhighlighter.printing .string, .syntaxhighlighter.printing .string a {
        color: #00f !important
    }

    .syntaxhighlighter.printing .keyword {
        color: #069 !important;
        font-weight: 700 !important
    }

    .syntaxhighlighter.printing .color1, .syntaxhighlighter.printing .color1 a, .syntaxhighlighter.printing .preprocessor {
        color: gray !important
    }

    .syntaxhighlighter.printing .variable {
        color: #a70 !important
    }

    .syntaxhighlighter.printing .value {
        color: #090 !important
    }

    .syntaxhighlighter.printing .color2, .syntaxhighlighter.printing .color2 a, .syntaxhighlighter.printing .functions {
        color: #ff1493 !important
    }

    .syntaxhighlighter.printing .constants {
        color: #06c !important
    }

    .syntaxhighlighter.printing .color3, .syntaxhighlighter.printing .color3 a {
        color: red !important
    }
